# Class Group

java.lang.Object
com.sparshui.server.Group

public class Group extends Object
Represents a group of touch points for the gesture server.

Author:
  Tony Ross

## Constructor Summary

Constructors
Constructor
Description
`Group(int id, Lst<GestureType> gestureTypes, ServerToClientProtocol clientProtocol)`
Construct a new group with the given gesture IDs and the given connection to the client.

## Method Summary

Modifier and Type
Method
Description
`int`
`getID()`
`void`
`update(TouchPoint changedPoint)`
Update the given touch point that belongs to this group.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Group

public Group(int id, Lst<GestureType> gestureTypes, ServerToClientProtocol clientProtocol)
Construct a new group with the given gesture IDs and the given connection to the client. Groups are associate with one client only.

Parameters:
  `id` -
  `gestureTypes` - The list of gesture types (integer or String class name) that this group should process.
  `clientProtocol` - Represents the connection to the client.

## Method Details

### getID

public int getID()

Returns:
  The group ID

### update

public void update(TouchPoint changedPoint)
Update the given touch point that belongs to this group.

Parameters:
  `changedPoint` - The changed touch point.